changeset 821:126be4c2f1d0

Move ldconfig from sbin to bin for the static cross compiler, so we only have to add one directory to the $PATH. (And fix the build break trying to rename it with the $ARCH- prefix and not finding it in bin.)
author Rob Landley <rob@landley.net>
date Thu, 17 Sep 2009 05:49:25 -0500
parents d1a88d878e18
children e9f15e7a1896
files sources/sections/uClibc.sh
diffstat 1 files changed, 1 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- a/sources/sections/uClibc.sh	Thu Sep 17 04:06:02 2009 -0500
+++ b/sources/sections/uClibc.sh	Thu Sep 17 05:49:25 2009 -0500
@@ -42,6 +42,7 @@
 
   if [ ! -z "$PROGRAM_PREFIX" ]
   then
+    mv "${STAGE_DIR}"/{sbin,bin}/ldconfig || dienow
     for i in ldd readelf ldconfig
     do
       mv "$STAGE_DIR/bin/"{"$i","${PROGRAM_PREFIX}$i"} || dienow